.alert-container {
  display: flex;
  align-items: center;
  gap: 10px;
  width: auto;
}
.message-container {
  flex-grow: 1;
}

.icon-container {
  display: flex;
  align-items: center;
}

::ng-deep .mat-mdc-snack-bar-container.success {
  --mdc-snackbar-container-color: #daf1d6;
}
::ng-deep .mat-mdc-snack-bar-container.warning {
  --mdc-snackbar-container-color: #ffefbc;
}
::ng-deep .mat-mdc-snack-bar-container.error {
  --mdc-snackbar-container-color: #f9c8c7;
}
::ng-deep .mat-mdc-snack-bar-container.info {
  --mdc-snackbar-container-color: #c6e6ff;
}
::ng-deep .mat-mdc-snack-bar-container.info:hover {
  --mdc-snackbar-container-color: #c6e6ff !important;
}
.success {
  background-color: #daf1d6;
  border-color: #0f9c6d;
  color: #0f9c6d;
}
.warning {
  background-color: #ffefbc;
  border-color: #ba9a32;
  color: #ba9a32;
}
.error {
  background-color: #f9c8c7;
  border-color: #e85656;
  color: #e85656;
}
.info {
  background-color: #c6e6ff;
  border-color: #138ae9;
  color: #002f55;
}
.info:hover {
  background-color: #c6e6ff !important;
  border-color: #138ae9;
  color: #002f55;
}
